| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Ornaments.HSeparator

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A horizontal separator
Synopsis

data HSeparator
class SeparatorClass o => HSeparatorClass o
castToHSeparator :: GObjectClass obj => obj -> HSeparator
toHSeparator :: HSeparatorClass o => o -> HSeparator
hSeparatorNew :: IO HSeparator

Detail
The `HSeparator` widget is a horizontal separator, used to group the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Separator
     |                     +----HSeparator

Types
data HSeparator

Instances

GObjectClass HSeparator
HSeparatorClass HSeparator
SeparatorClass HSeparator
WidgetClass HSeparator
ObjectClass HSeparator

class SeparatorClass o => HSeparatorClass o

Instances

HSeparatorClass HSeparator

castToHSeparator :: GObjectClass obj => obj -> HSeparator
toHSeparator :: HSeparatorClass o => o -> HSeparator
Constructors
hSeparatorNew :: IO HSeparator
Creates a new `HSeparator`.
Produced by Haddock version 2.4.2